<!-- Content Wrapper. Contains page content -->
<div class="content-wrapper page-add-shipment">
  <!-- Content Header (Page header) -->
  <section class="content-header">
    <h1>
      {{title}}
      <small></small>
    </h1>
    <ol class="breadcrumb">
      <li class="breadcrumb-item"><a href="" routerLink="/">Home</a></li>
      <li class="breadcrumb-item active" aria-current="page">Create Shipment</li>
    </ol>
  </section>
  <!-- Main content -->
  <section class="content">
    <div class="row">
      <div class="col-xs-12">
        <form [formGroup]="formPersonal" name="formPersonal">
          <div class="content ">
            <div class="row">
              <div class="col-sm-4">
                <div class="panel panel-primary">
                  <div class="panel-heading">
                    Sender
                  </div>
                  <div class="panel-body">
                    <div class="form-group">
                      <label>Name</label>
                      <input type="text" name="name" placeholder="name" formControlName="name" class="form-control"
                        [ngClass]="{ 'is-invalid': submitted && f.name.errors }" />
                      <div *ngIf="submitted && f.name.errors" class="invalid-feedback">
                        <div *ngIf="f.name.errors.required">Name is required</div>
                      </div>
                    </div>



                    <div class="form-group">
                      <label>Address </label>
                      <input type="text" name="address" placeholder="" formControlName="address"
                        class="form-control" />
                    </div>

                    <div class="form-group">
                      <label>Image </label>
                      <input  name="image" type="file" (change)="onFileChange($event,'image')"
                        class="form-control" />
                    </div>

                    <div class="form-group">
                      <label>Image 2 </label>
                      <input  name="image2"  type="file" (change)="onFileChange($event,'image2')"
                        class="form-control" />
                    </div>

                  </div>
                </div>


              </div>

              <div class="col-sm-12">

                <div class="form-group text-center">
                  <button [disabled]="formPersonal.invalid" (click)="createPersonal()" type="button" [disabled]="loading"
                    class="btn btn-primary">
                    <span *ngIf="loading" class="spinner-border spinner-border-sm mr-1"></span>
                   Add
                  </button>
                  <span class="alert">{{mesenger}}</span>
                </div>
                <div class="hidden" style="">
                  <!-- DEBUG -->
                  <pre>{{formPersonal.get('address').valid}}</pre>
                  <pre>{{formPersonal.get('name').valid}}</pre>

                </div>
              </div>
            </div>
          </div>
        </form>
      </div>
    </div>

  </section>
  <!-- /.content -->
</div>
<!-- /.content-wrapper -->
